    Create a contour plot of the model.

contour_model(id=None, replot=False, overcontour=False, **kwargs)
id - int or str, optional
replot - bool, optional
overcontour - bool, optional

Displays a contour plot of the values of the model, evaluated on the data, including any PSF kernel convolution (if set).

Plot the model from the default data set:

>>> contour_model()

Compare the model without and with the PSF component, for the "img" data set:

>>> contour_source("img") >>> contour_model("img", overcontour=True)

PARAMETERS

The parameters for this function are:

Parameter
Definition
id
The data set that provides the model. If not given then the default identifier is used, as returned by `get_default_id` .
replot
Set to True to use the values calculated by the last call to `contour_model` . The default is False .
overcontour
If True then add the data to an existing plot, otherwise create a new contour plot. The default is False .

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023